Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.webservices.wsdl
Class XsdType

    java.lang.Object
      org.pentaho.di.trans.steps.webservices.wsdl.XsdType

    public class XsdType

extends Object

Field Summary
`static String` | `BINARY`
`static String` | `BOOLEAN`
`static String` | `DATE`
`static String` | `DATE_TIME`
`static String` | `DECIMAL`
`static String` | `DOUBLE`
`static String` | `FLOAT`
`static String` | `INTEGER`
`static String` | `INTEGER_DESC`
`static String` | `SHORT`
`static String` | `STRING`
`static String` | `TIME`
`static String[]` | `TYPES`

Constructor Summary
`XsdType()`

Method Summary
`static int` | `xsdTypeToKettleType(String aXsdType)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE

    public static final String DATE

See Also:
  Constant Field Values

### TIME

    public static final String TIME

See Also:
  Constant Field Values

### DATE_TIME

    public static final String DATE_TIME

See Also:
  Constant Field Values

### INTEGER

    public static final String INTEGER

See Also:
  Constant Field Values

### INTEGER_DESC

    public static final String INTEGER_DESC

See Also:
  Constant Field Values

### SHORT

    public static final String SHORT

See Also:
  Constant Field Values

### BOOLEAN

    public static final String BOOLEAN

See Also:
  Constant Field Values

### STRING

    public static final String STRING

See Also:
  Constant Field Values

### DOUBLE

    public static final String DOUBLE

See Also:
  Constant Field Values

### FLOAT

    public static final String FLOAT

See Also:
  Constant Field Values

### BINARY

    public static final String BINARY

See Also:
  Constant Field Values

### DECIMAL

    public static final String DECIMAL

See Also:
  Constant Field Values

### TYPES

    public static final String[] TYPES

Constructor Detail

### XsdType

    public XsdType()

Method Detail

### xsdTypeToKettleType

    public static int xsdTypeToKettleType(String aXsdType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD